# typed: strict
class Scraper::E621HttpClientConfig < Scraper::HttpClientConfig
  DEFAULT_ALLOWED_DOMAINS = %w[e621.net *.e621.net]

  sig { override.returns(T.nilable(T::Array[T.untyped])) }
  def cookies
    []
  end

  sig { override.returns(T::Array[[String, Numeric]]) }
  def ratelimit
    [["static1.e621.net", 1], ["facdn.net", 2], ["*", 0.25]]
  end

  sig { override.returns(T::Array[String]) }
  def allowed_domains
    DEFAULT_ALLOWED_DOMAINS
  end

  sig { override.returns(Integer) }
  def redirect_limit
    2
  end
end
